$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.78.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.78.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CF70E31038DFB55FD5E773C753D4BB2C1C327DF5A4445D98C46D80F05302B105'
  checksumType = 'sha256'
  checksum64 = 'CF70E31038DFB55FD5E773C753D4BB2C1C327DF5A4445D98C46D80F05302B105'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.78-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
